curl --request POST \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"productIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"suspended": true,
"sendEmailDelivery": true,
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
],
"expirationDate": "2023-11-07T05:31:56Z",
"expirationDays": 2,
"ipLimit": 1,
"hwidLimit": 2
}
'import requests
url = "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses"
payload = {
"customerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"productIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"suspended": True,
"sendEmailDelivery": True,
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": True
}
],
"expirationDate": "2023-11-07T05:31:56Z",
"expirationDays": 2,
"ipLimit": 1,
"hwidLimit": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
productIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
suspended: true,
sendEmailDelivery: true,
metadata: [{key: '<string>', value: '<string>', locked: true}],
expirationDate: '2023-11-07T05:31:56Z',
expirationDays: 2,
ipLimit: 1,
hwidLimit: 2
})
};
fetch('https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licenseKey": "<string>",
"suspended": true,
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ipLimit": 1,
"hwidLimit": 2,
"expirationDate": "2023-11-07T05:31:56Z",
"expirationDays": 2,
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
],
"lastActiveAt": "2023-11-07T05:31:56Z",
"customers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"fullName": "<string>",
"username": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
],
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postalCode": "<string>"
},
"discordAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discordId": "<string>",
"username": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>"
}
}
],
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
]
}
]
},
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": true,
"details": "<string>"
}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>"
},
"data": {}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>"
},
"data": {}
}Create License
Create a new license with the specified configuration. The license will be automatically generated with a unique key.
Authorizations
API key authentication for development endpoints.
You can create API keys in your team's settings on the Lukittu dashboard.
Include the API key in the Authorization header as: Bearer YOUR_API_KEY
Example:
Authorization: Bearer lukittu_api_key_abc123def456...
Path Parameters
Your team's UUID. You can find this value in your team's settings on the Lukittu dashboard. UUID v4 identifier
Body
Customer UUIDs to associate with this license
UUID v4 identifier
Product UUIDs to associate with this license
UUID v4 identifier
Defines how license expiration is calculated
NEVER, DATE, DURATION Whether to create the license in suspended state
Whether to send license details via email
Key-value metadata pairs
Show child attributes
Show child attributes
Defines when the license expiration countdown begins
CREATION, ACTIVATION Required when expirationType is DATE
Required when expirationType is DURATION
x >= 1x >= 0x >= 1